<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ObservacionCentroCosto extends Model
{
    protected $table = 'observaciones_centro_costo';

    protected $fillable = [
        'hoja_tiempo_id', 'centro_costo_id', 'observacion', 'user_id',
    ];

    public function hojaTiempo(): BelongsTo
    {
        return $this->belongsTo(HojaTiempo::class);
    }

    public function centroCosto(): BelongsTo
    {
        return $this->belongsTo(CentroCosto::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
